/*=========================================================================

  Program:   Ionization FRont Interactive Tool (IFRIT)
  Language:  C++
 

Copyright (c) 2002-2003 Nick Gnedin 
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

 * Redistributions of source code must retain the above copyright notice,
   this list of conditions and the following disclaimer.

 * Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.

 * Neither name of Nick Gnedin nor the names of any contributors may be used 
   to endorse or promote products derived from this software without specific
   prior written permission.

 * Modified source versions must be plainly marked as such, and must not be
   misrepresented as being the original software.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

=========================================================================*/


//
// This file is only for the designer to see all the slots at once. Real implementation
// of all slots is spread in iqt-*.cpp files with the common iqtslots.h header
//


//
//  Various things to fix bad QT design
//
void iQT::variousQTFixes()
{
    
}



#define FOOL_DESIGNER(s)	

FOOL_DESIGNER(
void iQT::init(){}
void iQT::destroy(){}
void iQT::finishInitialization(){}
void iQT::setSmallWindow(bool s){}
void iQT::closeEvent( QCloseEvent *e ){}
void iQT::aaa(){}
void iQT::endTask(){}
void iQT::startTask(){}
void iQT::popupInfo(const QString &s){}
int iQT::popupError(const QString &s, int errCode){}
void iQT::assignPaletteNames(){}
void iQT::logLine(const QString &action, const QString &result){}
void iQT::logLine(const QString &action, const QString &result, QColor c ){}
void iQT::doRender(){}
void iQT::updateAfterFileRead(iDataReader *reader, int mode, QString filename, int flags, int ret ){}
void iQT::afterMeshFileRead(int,  int nold, int s, QString fn ){}
void iQT::afterPartFileRead( int, int nold, int s, QString fn ){}
void iQT::afterVectFileRead(int, int, int s, QString fn ){}
void iQT::afterTensFileRead( int, int, int s, QString fn ){}
void iQT::afterFileReadConnectMeshAndVector(int){}
void iQT::afterFileReadConnectMeshAndTensor(int){}
void iQT::reloadLastSet(){}
void iQT::reloadLastSet(int mode){}
void iQT::setReloadLastSetMode(int mode){}
void iQT::fixVariableSettings(int nold, int nnew){}
bool iQT::isDocked(){}
void iQT::updateFunctionPixmap(QMouseEvent *e, iPiecewiseFunction * mFunction, iLabel *mLabel, int &cpFunction ,iPiecewiseFunction * histogram){}
void iQT::updatePalettePixmap(iPalette *pal, QPixmap* m){}
void iQT::drawHistogram( QPainter &z, iPiecewiseFunction *mFunction, QColor c, float opacity, bool showTicks, bool stretchLof, float *limits ){}
void iQT::loadAxesBoxLabels(){}
void iQT::optionsSave(){}
bool iQT::optionsLoad(const char *){}
void iQT::launchPaletteEditor(int n){}
void iQT::fileOpenMesh(){}
void iQT::fileOpenPart(){}
void iQT::fileOpenVect(){}
void iQT::fileOpenTens(){}
void iQT::fileOpenSet(){}
void iQT::fileOpenMesh(const QString &s){}
void iQT::fileOpenPart(const QString &s){}
void iQT::fileOpenVect(const QString &s){}
void iQT::fileOpenTens(const QString &s){}
void iQT::fileOpenSet(const QString &s){}
void iQT::fileOpenVisited(const QString &s){}
void iQT::fileExit(){}
void iQT::styleDock( bool t ){}
void iQT::styleStyle(QAction *a){}
void iQT::styleBox(QAction *a){}
void iQT::styleFontType( QAction * a ){}
void iQT::styleFontSize( QAction * a ){}
void iQT::styleTab( QAction *a ){}
void iQT::styleSlidersRenderTracking(bool s){}
void iQT::styleAllowAntialiasing( bool s ){}
void iQT::styleInteractorHelp( bool s ){}
void iQT::styleAllowTooltips( bool s ){}
void iQT::optionsImageZoom(QAction *v ){}
void iQT::optionsImageFormat(QAction *v ){}
void iQT::optionsImageFormatPSPaperFormat( QAction * v ){}
void iQT::optionsImageFormatPSOrientation( QAction * v ){}
void iQT::optionsVariableLimits( QAction * v ){}
void iQT::optionsDataEndiness( QAction * v ){}
void iQT::optionsReportMemory( bool s ){}
void iQT::helpContents(){}
void iQT::helpAbout(){}
void iQT::dumpImage(){}
void iQT::animate(){}
bool iQT::loadNextSet(bool,int,bool){}
void iQT::loadNextSetAll(){}
void iQT::displayHelp(const QString &ref ){}
void iQT::keyPressEvent( QKeyEvent *e ){}
void iQT::animateFinish(){}
void iQT::animateStart(){}
bool iQT::animateBreak(int,int,int,int){}
void iQT::animateShowLine(int){}
void iQT::animateReportError(int,int){}
void iQT::showWindowControlPage(){}
void iQT::setCurrentWindow( iVTK * ){}
void iQT::setCurrentWindow( int ){}
void iQT::resetCursor(){}
void iQT::launchFromMenuScripter(){}
void iQT::launchFromMenuPaletteEditor(){}
void iQT::launchFromMenuPickerDialog(){}
void iQT::launchFromMenuEventRecorder(){}
void iQT::launchFromMenuParallelController(){}
void iQT::launchFromMenuVariablesExplorer(){}
void iQT::launchFromMenuImageComposer(){}
void iQT::showDataChannel( int){}
void iQT::updateDataChannelComboBox(int){}
void iQT::updateTabWidgetPage(QWidget *){}
void iQT::setRemoteControlled( ){}
bool iQT::isRemoteControlled( ){}
void iQT::showHelp(const QString &s){}
bool iQT::edition(){}
void iQT::updateVisitedFilesList(bool reload){}
void iQT::updateVisitedFilesList(int win, bool reload){}
void iQT::createVisitedFilesList(int win){}
void iQT::deleteVisitedFilesList(int win){}
void iQT::applyDataChannelChange(){}
void iQT::placeNewMarker(double *x){}
void iQT::displayCurrentMarkerPosition(){}
void iQT::resetProgressBar(){}
void iQT::updateParallelDisplay(){}
void iQT::afterFileReadError(int m, int wi){}
void iQT::placeWindowsInDockedPositions(QPoint, QSize){}
void iQT::updateWidgets(int m){}
void iQT::setIdiosyncratic(bool){}
void iQT::setDataChannel(int){}
void iQT::blockProgressDialog(bool){}
void iQT::updateCoordinateDisplays(){}
void iQT::updateVariablesExplorer(){}
void iQT::updateImageComposer(bool){}
void iQT::updateMenuSettings(){}
void iQT::showBusy(bool s){}
)

iQTExtension* iQT::getExtension(){ return ext; }






